Liferay.Loader.define('layout-seo-web$redux@4.0.5/src/utils/actionTypes', ['module', 'exports', 'require'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    /**
     * These are private action types reserved by Redux.
     * For any unknown actions, you must return the current state.
     * If the current state is undefined, you must return the initial state.
     * Do not reference these action types directly in your code.
     */

    const randomString = () => Math.random().toString(36).substring(7).split('').join('.');

    const ActionTypes = {
      INIT: `@@redux/INIT${randomString()}`,
      REPLACE: `@@redux/REPLACE${randomString()}`,
      PROBE_UNKNOWN_ACTION: () => `@@redux/PROBE_UNKNOWN_ACTION${randomString()}`
    };

    export default ActionTypes;
  }
});
//# sourceMappingURL=actionTypes.js.map